Cannot create new location or organization

07/16/2018 11:50 AM - Dominik Hlavac Duran

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Admin or non admin user cannot create new location or organization.

Step to reproduce:

1. Log in as admin/non admin user

2. Go to administration locations/organizations

3. Create new loc/org with new name

4. Submit

Actual results: error

The single-table inheritance mechanism failed to locate the subclass: 'JobTemplate'. This error is raised because the column 'type' is

reserved for storing the class in case of inheritance. Please rename this column if you didn't intend it to be used for storing the

inheritance class or overwrite Template.inheritance_column to use another column for that information.

Expected results:

Can create new loc/org

History

#1 - 07/18/2018 07:00 AM - Ondřej Pražák

This usually happens when you remove a plugin that you were previously using and there are still data in STI tables. In your case, remote execution

adds job templates into templates table and because rex is no longer present in your setup, JobTemplate cannot be found. To recover, you need to

delete all job templates or add rex back.

This will be fixed when we have proper way how to uninstall a plugin.

#2 - 07/18/2018 07:45 AM - Marek Hulán

- Status changed from New to Resolved

According to Ondrej's comment, marking as resolved.
